Results 1 to 3 of 3

Thread: Change angles of Mtext to new Angles

  1. #1
    100 Club
    Join Date
    2007-07
    Posts
    104
    Login to Give a bone
    0

    Default Change angles of Mtext to new Angles

    I have an isometric drawing with lengths and diameters along it's lines.

    All mtext put at 150 angles (which is upside down) should become 330.
    All mtext put at 270 angles (which is the wrong way round) should become 90.

    I have put together some code, but it seems there is no way of getting the rotation of an object without showing the program 2 points.Is there any way to get the angle straight away? I don't think .getangle or .anglefromXaxis will get me anywhere.
    (entget (car (entsel))) gives me no clue as to where to get the angles from.

    Perhaps the radians value is stored somewhere so I can pick it up from there?
    This is what I've got so far:

    Code:
            Dim LongDiamTekst as AcadMtext
            Dim Degrees as Single
            Dim Radians as Single
            Dim Pi As String
            Pi = "3,14159265"
            Degrees = Radians * 57.29578
            Radians = ?????
    
            If Degrees > 145 Then
            If Degrees < 155 Then
                LongDiamTekst.Rotation = (Pi / 180# * 330#)
            End If
            End If
    Last edited by darfnuggi; 2009-01-29 at 02:08 PM.

  2. #2
    Administrator Ed Jobe's Avatar
    Join Date
    2000-11
    Location
    Turlock, CA
    Posts
    6,397
    Login to Give a bone
    0

    Default Re: Change angles of Mtext to new Angles

    The Rotation property stores the angle. First set Degrees to the extisting Rotation prop. All angles are stored in radians.
    C:> ED WORKING....

  3. #3
    100 Club
    Join Date
    2007-07
    Posts
    104
    Login to Give a bone
    0

    Default Re: Change angles of Mtext to new Angles

    Thank you. I worked it out with your advice, and am very happy now.

Similar Threads

  1. Joining Channels to Angles sends components skewing at odd angles. (REVIT Struct 2012)
    By Melissa.Stewart1980 in forum Revit Structure - General
    Replies: 4
    Last Post: 2012-05-25, 05:56 PM
  2. Angles
    By Jrobker in forum Revit MEP - General
    Replies: 3
    Last Post: 2009-09-24, 06:37 PM
  3. Angles
    By dsw98 in forum Revit Architecture - General
    Replies: 2
    Last Post: 2005-09-12, 06:32 PM
  4. how to change camera angles in walkthroughs?
    By scott.68993 in forum Revit - Rendering
    Replies: 3
    Last Post: 2004-06-22, 06:25 PM
  5. how to change camera angles in walkthroughs?
    By scott.68993 in forum Revit Architecture - General
    Replies: 3
    Last Post: 2004-06-22, 06:25 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •